Name:			lxdm
Version:		0.5.2
Release:		%mkrel 2
Summary:		Lightweight X Display Manager
Group:			Graphical desktop/Other
License:		GPL
URL:			http://sourceforge.net/projects/%{name}
Source0:		%{name}-%{version}.tar.xz
Source1:		27%{name}.conf
Source2:		Xsession
Source3:		%{name}-config.desktop
Source4:		pam_environment
Source5:		gdmflexiserver
Patch0:			%{name}-%{version}-pam.patch
Patch1:			%{name}-%{version}-xsessions-dir.patch
Patch2:			%{name}-%{version}-generate-session-list.patch
Patch3:			%{name}-%{version}-default-config.patch
Patch4:			%{name}-%{version}-numlock-bugfix.patch
#-------------------------------------------------
BuildRequires: intltool
BuildRequires: iso-codes-devel
BuildRequires: %{_lib}consolekit-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: libpthread-stubs
BuildRequires: %{_lib}x11-devel
#-------------------------------------------------
Requires: consolekit-x11
Requires: desktop-common-data
Requires: gksu
Requires: gtk+2.0
Requires: iso-codes
Requires: %{_lib}rsvg2_2
Requires: pam 
Requires: x11-server-xorg
Provides:		dm = %{version}
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
Lightweight X11 Display Manager alternative for KDM or GDM

%prep
%setup -q
%{apply_patches}

%build
%configure \
	--with-pam \
	--with-systemdsystemunitdir=no
%make

%install
%__rm -rf $RPM_BUILD_ROOT
%make_install
install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf

%__rm %{buildroot}/%{_sysconfdir}/%{name}/Xsession

install -m755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}/Xsession
install -m644 %{SOURCE3} -D %{buildroot}/%{_desktopdir}/%{name}-config.desktop
install -dm755 %{buildroot}/%{_localstatedir}/lib/%{name}
install -m644 %{SOURCE4} %{buildroot}/%{_localstatedir}/lib/%{name}/.pam_environment
install -m755 %{SOURCE5} -D %{buildroot}/%{_docdir}/%{name}/gdmflexiserver
%find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%pretrans
getent passwd %{name} >/dev/null && %{_sbindir}/userdel -f %{name} || exit 0

%post
echo -e \
"\n-------------------------------------------------------------------------------
 1. To start using LXDM as main display manager go to:
 PCLinuxOS Control Center => Boot => Setup display manager. Make your choice,
 apply changes and reboot your computer.\n
 2. To change some configurable options of LXDM run graphical configurator
 from menu: Menu => More Applications => Configuration => LXDM configurator.\n
 3. To enable LXDM's user-switching function in Xfce or LXDE desktop just
 copy with root privileges /usr/share/doc/lxdm/gdmflexiserver file
 to /usr/local/bin directory.\n
 4. If you plan to change your deafult display manager to other available in
 repository, delete file /usr/local/bin/gdmflexiserver.
-------------------------------------------------------------------------------\n"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/gdmflexiserver
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/%{name}/LoginReady
%{_sysconfdir}/%{name}/PostLogin
%{_sysconfdir}/%{name}/PostLogout
%{_sysconfdir}/%{name}/PreLogin
%{_sysconfdir}/%{name}/PreReboot
%{_sysconfdir}/%{name}/PreShutdown
%{_sysconfdir}/%{name}/Xsession
%{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}-config
%{_libexecdir}/%{name}-greeter-gtk
%{_libexecdir}/%{name}-greeter-gdk
%{_libexecdir}/%{name}-numlock
%{_libexecdir}/%{name}-session
%{_sbindir}/%{name}
%{_sbindir}/%{name}-binary
%{_desktopdir}/%{name}-config.desktop
%{_datadir}/%{name}
%{_datadir}/X11/dm.d/27%{name}.conf
%{_localstatedir}/lib/%{name}
%ghost %attr(644,root,root) %{_localstatedir}/lib/%{name}/%{name}.conf
%ghost %attr(755,root,root) %dir %{_localstatedir}/run/%{name}
%ghost %attr(600,root,root) %{_localstatedir}/run/%{name}/%{name}-:0.auth
%ghost %attr(777,root,root) %{_localstatedir}/run/%{name}/%{name}.sock
%ghost %attr(644,root,root) %{_localstatedir}/run/%{name}.pid
%ghost %attr(640,root,root) %_logdir/%{name}.log
%ghost %attr(640,root,root) %_logdir/%{name}.log.old

%changelog
* Mon Nov 16 2015 marcin82 <fixxer1982@gmail.com> 0.5.2-2pclos2015
- Fixed bug with numlock, git commit: b9155ae4d095fbb88d37380e946d230483846d24
- Info: http://git.lxde.org/gitweb/?p=lxde/lxdm.git;a=commit;h=b9155ae4d095fbb88d37380e946d230483846d24
- Patch4 source: http://git.lxde.org/gitweb/?p=lxde/lxdm.git;a=patch;h=b9155ae4d095fbb88d37380e946d230483846d24

* Tue Oct 20 2015 marcin82 <fixxer1982@gmail.com> 0.5.2-1pclos2015
- Version 0.5.2. Removed "lxdm-0.5.1-git-fixes.patch" as applied in upstream 0.5.2 release.
- Resignation of adding lxdm user/group as causing problems with xserver authentication.
  Related issue, see comments: https://aur.archlinux.org/packages/lxdm-git/ . Added pretrans
  script for help to transition to new version. 

* Fri Oct 17 2015 marcin82 <fixxer1982@gmail.com> 0.5.1-2pclos2015
- Rebuilt against new lib64glib2.0_0; amendments in spec file

* Wed Sep 18 2015 marcin82 <fixxer1982@gmail.com> 0.5.1-1pclos2015
- Import to PCLinuxOS. Patch "lxdm-0.5.1-git-fixes.patch"
  source: https://www.archlinux.org/packages/community/x86_64/lxdm/ .
